mailutils (1:3.20-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Jan 2026 19:02:58 +0000

mailutils (1:3.20-3) unstable; urgency=medium

  * Add libcrypt-dev to Build-Depends (closes: #1106905).
  * Remove obsolete Rules-Requires-Root control field.
  * Add URL for a forwarded patch to fix metadata validation.
  * Update mismatched lintian overrides.

 -- Jordi Mallach <jordi@debian.org>  Wed, 26 Nov 2025 01:48:13 +0100

mailutils (1:3.20-2) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * fix-build-gcc15.patch: Fix build with gcc 15 (Closes: #1097358).

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Sep 2025 17:24:35 +0200

mailutils (1:3.20-1) unstable; urgency=medium

  * New upstream release.
  * Drop format-security fix, included upstream.
  * Update symbols file.

 -- Jordi Mallach <jordi@debian.org>  Tue, 19 Aug 2025 19:55:03 +0200

mailutils (1:3.19-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream tag format in gbp.conf.
  * Drop libtool patch now that Debian's libtool is fixed.
  * Update Standards-Version to 4.7.2.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Mar 2025 17:27:40 +0100

mailutils (1:3.18-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream signing key.
  * Add temporary patch to drop requirement of libtool 2.5.3, which
    is available in Debian, but it still believes is at 2.4.7 due to
    #1099559.
  * Add patch to fix FTFBS due to missing format arguments with
    -Werror=format-security.
  * Update symbols list with newly added ones.

 -- Jordi Mallach <jordi@debian.org>  Wed, 05 Mar 2025 11:18:42 +0100

mailutils (1:3.17-2) unstable; urgency=medium

  * Acknowledge 64-bit time_t transition. Thanks Graham Inggs!
  * Add symbols files.
  * Move all mentions to libmailutils' soname to a variable.
  * Move libmu_dbm's shlib entry to its own shlibs file.
  * Update libmailutils9t64's override file.
  * Add source overrides for "very long line" entries.
  * Generate a static guimb.1 manpage while autogeneration is broken.

 -- Jordi Mallach <jordi@debian.org>  Sun, 09 Jun 2024 14:15:57 +0200

mailutils (1:3.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064185

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 11:05:39 +0000

mailutils (1:3.17-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Fri, 09 Feb 2024 21:00:35 +0100

mailutils (1:3.16-1) unstable; urgency=medium

  * New upstream release.
  * Drop locale crash fix from previous upload, fixed upstream.
  * Update mailutils-mh lintian override to new format.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Tue, 13 Jun 2023 14:56:26 +0200

mailutils (1:3.15-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1.
  * Update standards version to 4.6.1, no changes needed.

  [ Jordi Mallach ]
  * Add patch from Dave Love to fix a locale-related crash
    (closes: #944372, #1031702).
  * Update Standards-Version to 4.6.2, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 03 Mar 2023 17:00:20 +0100

mailutils (1:3.15-3) unstable; urgency=medium

  [ Jordi Mallach ]
  * Add support for the noguile build profile, which disables the
    generation of the mailutils-guile binary package entirely
    (closes: #972894).
  * Also skip installing dejagnu B-D when nocheck build profile is in use.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev and libgsasl7-dev.
    + libmailutils-dev: Drop versioned constraint on libgsasl7-dev in Depends.
    + libmailutils-dev: Drop versioned constraint on mailutils in Replaces.
    + libmailutils-dev: Drop versioned constraint on mailutils in Breaks.
    + mailutils: Drop versioned constraint on bsd-mailx and bsdmainutils in
      Breaks.

  [ Simon Josefsson ]
  * Replace obsolete libgsasl7-dev with libgsasl-dev. Closes: #1013253.
  * Drop Conflicts: imap-server/pop3-server.  Closes: #1019010.

 -- Jordi Mallach <jordi@debian.org>  Tue, 13 Sep 2022 23:16:02 +0200

mailutils (1:3.15-2) unstable; urgency=medium

  * Rename debian branch to 'main'.
  * Source-only upload after transit through NEW.

 -- Jordi Mallach <jordi@debian.org>  Wed, 20 Apr 2022 20:35:11 +0200

mailutils (1:3.15-1) unstable; urgency=high

  * New upstream release.
    - bumps abiver after ABI break in 3.14 (closes: #1003755, #1009293)
  * Adapt packaging for libmailutils soname bump.
  * Drop obsolete libmailutils9.README.Debian.

 -- Jordi Mallach <jordi@debian.org>  Tue, 19 Apr 2022 21:22:55 +0200

mailutils (1:3.14-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years and add copyright info for the debian/ dir.

 -- Jordi Mallach <jordi@debian.org>  Wed, 12 Jan 2022 12:29:53 +0100

mailutils (1:3.13-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Thu, 02 Sep 2021 01:32:27 +0200

mailutils (1:3.12-1) unstable; urgency=medium

  * New upstream release.
  * Remove all patches that were cherry-picked from post 3.11.1.

 -- Jordi Mallach <jordi@debian.org>  Fri, 06 Aug 2021 01:02:47 +0200

mailutils (1:3.11.1-5) unstable; urgency=medium

  * Enable PostgreSQL support now that OpenSSL is considered a system
    library by Debian ftpmaster.
  * Add upstream patch to fix expunging of mboxes on read-only directories
    (like Debian's /var/mail). Thanks to Pierrick Chanteux for the analysis
    (closes: #980042).
  * Add patch to fix PostgreSQL include dir.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Feb 2021 16:17:12 +0100

mailutils (1:3.11.1-4) unstable; urgency=medium

  * Pass -k to make check, so test failures don't halt the build, in
    order to detect additional failures later in the testsuite.
  * Add patch from Rob Browning to switch to guile-3.0 (closes: #969675).
  * Add additional upstream patches to fix testsuite failures.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Wed, 13 Jan 2021 00:14:25 +0100

mailutils (1:3.11.1-3) experimental; urgency=medium

  * Add additional git patches to fix strout test and other testsuite
    problems.
  * Cherry-pick git patch to fix selection of the default smtp port.

 -- Jordi Mallach <jordi@debian.org>  Tue, 12 Jan 2021 00:29:14 +0100

mailutils (1:3.11.1-2) unstable; urgency=medium

  * Add upstream patch to limit strout test to 30 seconds.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Jan 2021 13:31:16 +0100

mailutils (1:3.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete mailutils.TODO.
  * Upload to unstable after going through NEW.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Jan 2021 09:38:59 +0100

mailutils (1:3.11-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in 3.11.
  * Adapt packaging for libmailutils soname bump.
  * Update to Standards-Version 4.5.1, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Jan 2021 17:03:11 +0100

mailutils (1:3.10-3) unstable; urgency=medium

  * Actually release to unstable... 🤦

 -- Jordi Mallach <jordi@debian.org>  Sun, 30 Aug 2020 12:50:10 +0200

mailutils (1:3.10-2) experimental; urgency=medium

  * Drop Conflicts/Replaces for older versions of libs for libmailutisX
    and libmu-dbmX, to make different versions of the lib coinstallable.
  * Relax de mailutils-common dependency to >= to also make this possible.
  * Add header to MU_SIEVE_MODDIR patch.
  * Add libtests_fail.patch: add mbdel.at from git to fix testsuite.
  * Release to unstable after transit through NEW.

 -- Jordi Mallach <jordi@debian.org>  Sat, 29 Aug 2020 23:50:40 +0200

mailutils (1:3.10-1) experimental; urgency=medium

  * New upstream release.
  * Adapt packaging for libmailutils soname bump. Let libmu not
    depend anymore on libmu-dbm, making deps for libmu-dbm only
    affect mailtils-mda and the imap4/pop3 servers (closes: #963852).
  * Drop all patches from previous NMUs, all are included in 3.10.
  * Pull post-3.10 patch from upstream git to fix build.
  * Add new tool decodemail to mailutils binary.
  * Do not override definition of libexecdir.
  * Define MU_SIEVE_MODDIR to ${libdir}/mailutils7 to make
    libmailutilsX packages coinstallable (closes: #944306).
  * Add patch to make MU_SIEVE_MODDIR configurable.
  * Drop definitions for PYTHON AND PYTHON_CONFIG, now uneeded.

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Aug 2020 22:42:31 +0200

mailutils (1:3.9-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Apply upstream patch to fix build with GCC 10 (Closes:
    #957517)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Jul 2020 10:32:44 +0200

mailutils (1:3.9-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build error when python 2 is installed.
  * Bump libmu-dbm6 Breaks/Replaces to (<< 1:3.8-1), since 1:3.8-1 was the
    first version with split-out libmu-dbm6. Closes: #963211

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Jun 2020 13:59:09 +0200

mailutils (1:3.9-3) unstable; urgency=medium

  * Bump Breaks/Replaces for libmu-dbm6 to 1:3.7-2.1 (closes: #963211).

 -- Jordi Mallach <jordi@debian.org>  Mon, 22 Jun 2020 21:09:21 +0200

mailutils (1:3.9-2) unstable; urgency=medium

  * Make libmailutils6 depend on libmu-dbm6 for now, until there next
    libmailutils soname bump, to avoid breaking the current ABI.
  * Update Standards-Version to 4.5.0.
  * Switch to Debhelper compat v13.
  * Get rid of non-installed files like *.la or *.pyc in dh_auto_install.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sun, 14 Jun 2020 02:37:22 +0200

mailutils (1:3.9-1) experimental; urgency=medium

  * New upstream release.
  * Add upstream metadata file with info regarding the upstream bug database,
    repository and security contact.
  * Update python3.8.patch to fix a bug in upstream fix.

 -- Jordi Mallach <jordi@debian.org>  Sun, 22 Mar 2020 23:30:52 +0100

mailutils (1:3.8-1) experimental; urgency=medium

  * New upstream release.
  * Split out libmu_dbm into its own package. This is to allow us to compile
    in support for all useful dbm types that are supported, but not have
    mailutils pull all of them in.
  * Do the same for maildag (the Mailutils MDA).
  * Adapt packaging for the split of maidag into mda, lmtpd and putmail.
  * Add patch to fix build with Python 3.8 (closes: #953550).
  * Make imap4d and pop3 Suggest: mailutils-mda.
  * Add support for Berkeley DB and GDBM to libmu-dbm.

 -- Jordi Mallach <jordi@debian.org>  Sun, 22 Mar 2020 22:30:43 +0100

mailutils (1:3.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Call python3-config with --embed to fix FTBFS (Closes: #953550).
    Patch by Matthias Klose <doko@ubuntu.com> taken from ubuntu.

 -- Ivo De Decker <ivodd@debian.org>  Fri, 20 Mar 2020 14:12:10 +0000

mailutils (1:3.7-2) unstable; urgency=medium

  * Add missing Break+Replaces to handle the new location of files
    from mailutils-doc with the switch to the dh sequencer and v12.
    Thanks, Andreas Beckmann (closes: #943843).
  * Source-only upload, after going through NEW (closes: #943787).

 -- Jordi Mallach <jordi@debian.org>  Thu, 31 Oct 2019 09:44:14 +0100

mailutils (1:3.7-1) unstable; urgency=medium

  * New upstream release.
  * Declare debian-branch, upstream-branch and upstream-vcs-tag in
    gbp.conf.
  * Reimport Sergey's PGP key in minimal form.
  * Drop python3 patch, included in upstream version.
  * Drop dbgsym migration path.
  * Add libmu_dotmail to shlibs.
  * Rewrite rules using dh sequencer.
  * Switch to debhelper compat v12.
  * Pass --no-as-needed to ld to avoid missing deps in python libs.
  * Update mailutils.lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Wed, 23 Oct 2019 02:02:04 +0200

mailutils (1:3.6-2) unstable; urgency=medium

  * Switch to Python3 (closes: #849721, #936982).
  * Backport patch from upstream git to fix compilation using python3.
  * Avoid capitalising short descriptions (thanks, Laura Arjona,
    closes: #821028).
  * Update Standards-Version to 4.4.1.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Oct 2019 16:38:05 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mailutils-doc`.
